<?php
if (class_exists('SiteUsers'))
{	
	$DateClass = & singleton('DateClass');
	$affiliate = & singleton('affiliate');
	$SiteUsers = & singleton('SiteUsers');

	if(!isset($_REQUEST['do_filter']))
	{
		$date_to = date("d.m.Y");
		$date_from = date('d.m.Y', strtotime(date("d.m.Y", strtotime($date_to)) . " -30 days"));
	}
	else
	{
		$date_to = to_str($_REQUEST['date_to']);
		$date_from = to_str($_REQUEST['date_from']);
	}

	// Преобразуем дату
	$date_from = $DateClass->date_format_sql($date_from);
	$date_to = $DateClass->date_format_sql($date_to);

	if($current_site_user = $SiteUsers->GetCurrentSiteUser())
	{
		$affiliate->ShowAffiliatStatistics($current_site_user, $GLOBALS['LA']['xsl_name'], $date_from, $date_to);
	}
	else
	{
		?>
		<p>Пользователь не найден!</p>
		<?php
	}
}
else
{
	?>
	<h1>Пользователи сайта</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/users/">Пользователи сайта</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo;.</p> 
	<?php
}
?>